Bug 27605 - Add floating toolbar to patron search page
Summary: Add floating toolbar to patron search page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 27403
Blocks:
  Show dependency treegraph
 
Reported: 2021-02-03 15:28 UTC by Owen Leonard
Modified: 2021-06-14 21:35 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
This patch modifies the patron module's search interface so that the toolbar of results-related controls sticks to the top of the screen as the user scrolls down. This gives access to the controls for adding patrons to a list and for merging patrons.
Version(s) released in:
21.05.00


Attachments
Bug 27605: Add floating toolbar to patron search page (7.17 KB, patch)
2021-02-03 15:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27605: Add floating toolbar to patron search page (7.22 KB, patch)
2021-02-03 16:59 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 27605: Add floating toolbar to patron search page (7.28 KB, patch)
2021-02-06 22:18 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27605: (follow-up) Make the feature work with Bug 27403 (1.33 KB, patch)
2021-02-08 21:49 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-02-03 15:28:43 UTC
I would be useful to have a floating toolbar on the patron search results page in the patrons module so that one has access to controls for adding patrons to lists and merging patrons.
Comment 1 Owen Leonard 2021-02-03 15:58:22 UTC Comment hidden (obsolete)
Comment 2 Lucas Gass 2021-02-03 16:59:01 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2021-02-06 22:18:45 UTC
Created attachment 116446 [details] [review]
Bug 27605: Add floating toolbar to patron search page

This patch modifies the patron search results page so that the toolbar
with results-related controls "floats" when the user scrolls down. This
gives access to the controls for adding patrons to a list and for
merging patrons.

Other templates are modified to incorporate a change to the CSS which
changes "#searchheader" to ".searchheader," enabling multiple instances
of a <div> styled with the .searchheader class.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - Go to Patrons in the staff interface.
 - Perform a patron search which will return many results.
 - Scroll down the page far enough to trigger the floating toolbar.
 - Confirm that the toolbar is positioned correctly when paging through
   results.
 - Confirm that the patron list and merge controls still work correctly.
 - Confirm that other pages which used the "#searchheader" id are still
   styled correctly:
   - Catalog search results
   - List contents
   - Patron list contents
   - Add orders from MARC file

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2021-02-06 22:19:50 UTC
I was a little surprised that the "second" toolbar was the floating one, not the one with "Patron lists" and "New patron". But the ones floating make more sense.
Comment 5 Jonathan Druart 2021-02-08 14:18:37 UTC
It does not work with bug 27403 applied.
Comment 6 Katrin Fischer 2021-02-08 21:17:07 UTC
I've marked this one dependent, can it be fixed?
Comment 7 Owen Leonard 2021-02-08 21:49:33 UTC
Created attachment 116528 [details] [review]
Bug 27605: (follow-up) Make the feature work with Bug 27403

This patch adds the "fh-fixedHeader" class to the floating toolbar so
that the floating DataTable header knows what element to append itself
to.
Comment 8 Jonathan Druart 2021-02-09 08:28:20 UTC
Not blocker, just noting: there is a very small shift (right/left):
https://snipboard.io/LuA9Td.jpg
Comment 9 Jonathan Druart 2021-02-09 08:50:14 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 10 Fridolin Somers 2021-02-12 14:47:34 UTC
Enhancement not pushed to 20.11.x